package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "WorkflowDetails",
   propOrder = {"folderName", "workflowName", "workflowRunId", "workflowRunInstanceName", "workflowRunStatus", "workflowRunType", "runErrorCode", "runErrorMessage", "startTime", "endTime", "attribute", "userName", "logFileName", "logFileCodePage", "osUser"}
)
public class WorkflowDetails {
   @XmlElement(
      name = "FolderName",
      required = true,
      nillable = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowName",
      required = true,
      nillable = true
   )
   protected String workflowName;
   @XmlElement(
      name = "WorkflowRunId"
   )
   protected int workflowRunId;
   @XmlElement(
      name = "WorkflowRunInstanceName",
      required = true,
      nillable = true
   )
   protected String workflowRunInstanceName;
   @XmlElement(
      name = "WorkflowRunStatus",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected EWorkflowRunStatus workflowRunStatus;
   @XmlElement(
      name = "WorkflowRunType",
      required = true,
      nillable = true
   )
   @XmlSchemaType(
      name = "token"
   )
   protected EWorkflowRunType workflowRunType;
   @XmlElement(
      name = "RunErrorCode"
   )
   protected int runErrorCode;
   @XmlElement(
      name = "RunErrorMessage",
      required = true,
      nillable = true
   )
   protected String runErrorMessage;
   @XmlElement(
      name = "StartTime",
      required = true,
      nillable = true
   )
   protected DIServerDate startTime;
   @XmlElement(
      name = "EndTime",
      required = true,
      nillable = true
   )
   protected DIServerDate endTime;
   @XmlElement(
      name = "Attribute"
   )
   protected List<Attribute> attribute;
   @XmlElement(
      name = "UserName",
      required = true,
      nillable = true
   )
   protected String userName;
   @XmlElement(
      name = "LogFileName",
      required = true,
      nillable = true
   )
   protected String logFileName;
   @XmlElement(
      name = "LogFileCodePage"
   )
   protected int logFileCodePage;
   @XmlElement(
      name = "OSUser",
      required = true,
      nillable = true
   )
   protected String osUser;

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public int getWorkflowRunId() {
      return this.workflowRunId;
   }

   public void setWorkflowRunId(int value) {
      this.workflowRunId = value;
   }

   public String getWorkflowRunInstanceName() {
      return this.workflowRunInstanceName;
   }

   public void setWorkflowRunInstanceName(String value) {
      this.workflowRunInstanceName = value;
   }

   public EWorkflowRunStatus getWorkflowRunStatus() {
      return this.workflowRunStatus;
   }

   public void setWorkflowRunStatus(EWorkflowRunStatus value) {
      this.workflowRunStatus = value;
   }

   public EWorkflowRunType getWorkflowRunType() {
      return this.workflowRunType;
   }

   public void setWorkflowRunType(EWorkflowRunType value) {
      this.workflowRunType = value;
   }

   public int getRunErrorCode() {
      return this.runErrorCode;
   }

   public void setRunErrorCode(int value) {
      this.runErrorCode = value;
   }

   public String getRunErrorMessage() {
      return this.runErrorMessage;
   }

   public void setRunErrorMessage(String value) {
      this.runErrorMessage = value;
   }

   public DIServerDate getStartTime() {
      return this.startTime;
   }

   public void setStartTime(DIServerDate value) {
      this.startTime = value;
   }

   public DIServerDate getEndTime() {
      return this.endTime;
   }

   public void setEndTime(DIServerDate value) {
      this.endTime = value;
   }

   public List<Attribute> getAttribute() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }

   public String getUserName() {
      return this.userName;
   }

   public void setUserName(String value) {
      this.userName = value;
   }

   public String getLogFileName() {
      return this.logFileName;
   }

   public void setLogFileName(String value) {
      this.logFileName = value;
   }

   public int getLogFileCodePage() {
      return this.logFileCodePage;
   }

   public void setLogFileCodePage(int value) {
      this.logFileCodePage = value;
   }

   public String getOSUser() {
      return this.osUser;
   }

   public void setOSUser(String value) {
      this.osUser = value;
   }
}
